Part Box: Difference between revisions

From FreeCAD Documentation
mNo edit summary
No edit summary
 
(8 intermediate revisions by one other user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>


Line 33: Line 32:


<!--T:4-->
<!--T:4-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Box.svg|16px]] [[Part_Box|Part Box]]}} button.
#* Press the {{Button|[[Image:Part_Box.svg|16px]] [[Part_Box|Part Box]]}} button.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} option from the menu.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} option from the menu.
Line 39: Line 38:
# Optionally change the dimensions and {{PropertyData|Placement}} of the box by doing one of the following:
# Optionally change the dimensions and {{PropertyData|Placement}} of the box by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometic Primitives}} task panel opens.
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change the required properties.
#*# Change one or more properties.
#*# The object updates dynamically in the [[3D_view|3D view]].
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
== Example == <!--T:43-->


<!--T:44-->
[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]
[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]


<!--T:45-->
A Part Box object created with the [[#Scripting|scripting example]] below is shown here.
A Part Box object created with the [[#Scripting|scripting example]] below is shown here.


== Notes ==
== Notes == <!--T:46-->


<!--T:47-->
* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Properties == <!--T:40-->
== Properties == <!--T:40-->


<!--T:48-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:49-->
A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data === <!--T:50-->


<!--T:51-->
{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


<!--T:52-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


Line 77: Line 83:


== Scripting == <!--T:42-->
== Scripting == <!--T:42-->

<!--T:53-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:26-->
<!--T:26-->
A Part Box is created with the {{Incode|addObject()}} method of the document.
A Part Box can be created with the {{Incode|addObject()}} method of the document:


</translate>
</translate>
Line 88: Line 97:


<!--T:27-->
<!--T:27-->
* Where {{Incode|myBox}} is the name for the object. The name must be unique for the entire document.
* Where {{Incode|"myBox"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:54-->
The {{Incode|Label}} is the user editable name for the object. It can be easily changed by
Example:


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
box.Label = "new myBoxName"
}}
<translate>


doc = App.activeDocument()
<!--T:28-->
You can access and modify attributes of the {{Incode|box}} object. For example, you may wish to modify the length, width and height parameters.


box = doc.addObject("Part::Box", "myBox")
</translate>
{{Code|code=
box.Length = 4
box.Length = 4
box.Width = 8
box.Width = 8
box.Height = 12
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}
<translate>
<translate>


<!--T:31-->
You can change its placement and orientation with:

</translate>
{{Code|code=
box.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))
}}
<translate>


<!--T:33-->
<!--T:33-->
Line 130: Line 131:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 20:53, 3 March 2022

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Box command creates a parametric box solid, a rectangular cuboid. In the coordinate system defined by its DataPlacement property, the bottom face of the box lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Box button.
    • Select the Part → Primitives → Cube option from the menu.
  2. The box is created.
  3. Optionally change the dimensions and DataPlacement of the box by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

  • DataLength (Length): The length of the box. This is the dimension in its X direction. The default is 10mm.
  • DataWidth (Length): The width of the box. This is the dimension in its Y direction. The default is 10mm.
  • DataHeight (Length): The height of the box. This is dimension in its Z direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Box can be created with the addObject() method of the document:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()